<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;background-image: url('images/main_bg.gif');background-repeat: repeat;">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url('images/main_bg.gif');background-repeat: repeat;" >
  <tr>
    <td height="70"><div style="height:25px;width:60px;"></div></td>
    <td width="1" style="width:1px;background-image: url('images/line.gif');background-repeat: repeat;">
	<div style="height:1px;width:1px;"></div></td>
    <td style="padding-bottom:8px;padding-top:8px;">
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="bottom" style="padding-left:20px;padding-right:20px;">
		<!-- LOGO -->
          <table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td style="padding-right:20px;">
			  <table cellpadding="0" cellspacing="0">
                <tr>
                  <td rowspan="2" align="right" style="padding-right:5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
                  <td align="left" valign="middle" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
                </tr>
              </table></td>
              <td width="1" style="width:1px;background-image: url('images/line.gif');background-repeat: repeat-y;background-position: middle;"><div style="height:1px;width:1px;"></div></td>
              <td align="left" valign="middle" class="slogan" style="padding-left:20px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
            </tr>
          </table>
          <!-- END LOGO -->          </td>
        </tr>
    </table></td>
    <td style="width:1px;background-image: url('images/line.gif');background-repeat: repeat;">
	<div style="height:1px;width:1px;"></div></td>
    <td><div style="height:25px;width:60px;"></div></td>
  </tr>
  <tr>
    <td colspan="5" style="height:1px;background-image: url('images/line2.gif');background-repeat: repeat-x;"></td>
  </tr>
  <tr>
    <td width="60" height="260" style="background-image: url('images/lr_bg.gif');background-repeat: repeat;"></td>
    <td style="width:1px;background-image: url('images/line.gif');background-repeat: repeat;"></td>
    <td style="padding-left:1px;padding-top:1px;padding-right:1px;padding-bottom:1px;">
	<table width="100%" border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/header_bg.gif');background-repeat: repeat;">
      <tr>
        <td height="50" align="center"><!-- MENU -->
          <table height="30" align="center" cellpadding="0" cellspacing="0">
            <tr>
<xsl:call-template name="TOP-MENU"/>
            </tr>
          </table>
          <!-- END MENU --></td>
        </tr>
      <tr>
        <td align="left" style="padding:5px;">
		<table width="100%" height="201" border="0" cellpadding="0" cellspacing="0" >
          <tr>
            <td width="100%" style="background-image: url('images/header_bg.jpg');background-repeat: repeat;"><img src="images/header.jpg" alt="" /></td>
          </tr>
        </table></td>
        </tr>
    </table></td>
    <td style="width:1px;background-image: url('images/line.gif');background-repeat: repeat;"></td>
    <td width="60" style="background-image: url('images/lr_bg.gif');background-repeat: repeat;"></td>
  </tr>
  <tr>
    <td colspan="5" style="height:1px;background-image: url('images/line2.gif');background-repeat: repeat-x;"></td>
  </tr>
  <tr>
    <td></td>
    <td style="width:1px;background-image: url('images/line.gif');background-repeat: repeat;"></td>
    <td width="100%" height="100%"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
      <tr>
        <td width="195" align="center" valign="top"><div style="width:195px; height:20px;"><span></span></div><!-- SUBMENU -->
                                  <table cellpadding="0" cellspacing="0" width="135">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table>
          <!-- END SUBMENU -->
          <div style="width:195px; height:20px;"><span></span></div></td>
        <td width="1" style="width:1px;background-image: url('images/line.gif');background-repeat: repeat-y;background-position: middle;"><div style="height:1px;width:1px;"></div></td>
        <td height="100%" valign="top" >
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="padding-left:30px;padding-top:20px;padding-right:30px;">
          <tr>
            <td height="100%" align="left" valign="top" class="pageContent" name="SB_stretch"><!-- CONTENT -->
                                    <table cellpadding="0" cellspacing="0" border="0">
                                      <tr>
                                        <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
                                        <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.gif"/></td>
                                      </tr>
                                    </table>
                                  <div style="width:0px; height:15px;"><span></span></div>
								 <xsl:apply-templates select="PAGE-CONTENT"/>
<!-- END CONTENT -->
                  <div style="width:0px; height:15px;"><span></span></div></td>
          </tr>
        </table>          </td>
      </tr>
    </table></td>
    <td style="width:1px;background-image: url('images/line.gif');background-repeat: repeat;"></td>
    <td></td>
  </tr>
  <tr>
    <td colspan="5" style="height:1px;background-image: url('images/line2.gif');background-repeat: repeat-x;"></td>
  </tr>
  <tr>
    <td style="background-image: url('images/lr_bg.gif');background-repeat: repeat;"></td>
    <td style="width:1px;background-image: url('images/line.gif');background-repeat: repeat;"></td>
    <td valign="bottom" style="padding-left:2px;padding-top:1px;padding-right:2px;padding-bottom:0px;">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="bottom" style="padding-left:1px;padding-top:1px;padding-right:1px;padding-bottom:0px;background-image: url('images/header_bg.gif');">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="bottom" style="padding-left:5px;padding-top:5px;padding-right:5px;padding-bottom:0px;background-image: url('images/header_bg.gif');">
			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/footer_bg.gif');">
  <tr>
    <td align="center" background="images/footer_bg.gif" style="padding-left:1px;padding-top:20px;padding-right:1px;padding-bottom:20px;"><!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
							<td style="width: 20px;"></td>
<xsl:call-template name="BOTTOM-MENU"/>
                            <td style="width: 20px;"></td>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER --></td>
  </tr>
</table>
</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td style="width:1px;background-image: url('images/line.gif');background-repeat: repeat;"></td>
    <td style="background-image: url('images/lr_bg.gif');background-repeat: repeat;"></td>
  </tr>
</table>
</center>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="amenu" style="width: 20px;"><img src="images/submenu_bullet.gif" alt="" border="0"/></td>
<td style="padding-left: 1px; align:left;"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="amenu" style="width: 20px;"><span class="amenu" style="width: 20px;"><img src="images/submenu_bullet.gif" alt="" border="0"/></span></td>
<td style="padding-left: 1px; align:left;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2" height="20"><div style="height:1px;background-image: url('images/dopmenu_line.gif');background-repeat: repeat;"><span></span></div></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
<td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td><img src="images/footmenu_bullet.gif" alt="" style="margin: 0px 10px 0px 10px;"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
